----------------------------------------------------
-- Reskin the Vendorizer in Aurora style, siweia
----------------------------------------------------
-- cfg
local reskinTab = true

-- main
if reskinTab then

	local F, C = unpack(Aurora)
	
	-- class color for highlight texture
	local _, class = UnitClass("player")

	if CUSTOM_CLASS_COLORS then
		C.classcolours = CUSTOM_CLASS_COLORS
	end
	local r, g, b = C.classcolours[class].r, C.classcolours[class].g, C.classcolours[class].b

	F.ReskinCheck(MerchantRepairAllButtonAutoRepair)
	F.ReskinCheck(VendorizerFrameContainerAllChars)
	F.Reskin(VendorizerFrameContainerRemove)
	F.CreateBD(VendorizerFrame)
	F.CreateSD(VendorizerFrame)
	VendorizerFrame:SetPoint("LEFT", MerchantFrame, "RIGHT", 6, 0)
	
	-- reskin 3 Tabs
	local vbuttons = {
	VendorizerFrameSaveTab,
	VendorizerFrameBuyTab,
	VendorizerFrameSellTab
	}
	for _, f in pairs(vbuttons) do
		f:SetCheckedTexture(C.media.checked)
		f:GetRegions():Hide()
		F.CreateBG(f)
		F.CreateSD(f, 5, 0, 0, 0, 1, 1)
		f:GetNormalTexture():SetTexCoord(.08, .92, .08, .92)
	end
	
	VendorizerFrameSaveTab:SetPoint("LEFT", VendorizerFrame, "RIGHT", 6, 0)
	VendorizerFrameBuyTab:SetPoint("LEFT", VendorizerFrame, "RIGHT", 6, 0)
	VendorizerFrameSellTab:SetPoint("LEFT", VendorizerFrame, "RIGHT", 6, 0)
	
	-- reskin 6 item buttons
	local vitems = {
	VendorizerFrameContainerItem1,
	VendorizerFrameContainerItem2,
	VendorizerFrameContainerItem3,
	VendorizerFrameContainerItem4,
	VendorizerFrameContainerItem5,
	VendorizerFrameContainerItem6,
	}
	for _, f in pairs(vitems) do
		f:SetHighlightTexture(C.media.backdrop)
		f:GetHighlightTexture():SetVertexColor(r, g, b, .2)
		F.CreateBD(f, .25)
	end

	-- reskin itemcount frame in the buy tab
	F.ReskinInput(VendorizerFrameContainerAdjQtyInputBox)
	F.ReskinArrow(VendorizerFrameContainerAdjQtyDecrementButton, "left")
	F.ReskinArrow(VendorizerFrameContainerAdjQtyIncrementButton, "right")	
	F.ReskinScroll(VendorizerFrameContainerScrollFrameScrollBar)
	
	-- Profit frame
	VendorizerFrameProfit:DisableDrawLayer("BORDER")
	local VFP = CreateFrame("Frame", nil, VendorizerFrameProfit)
		VFP:SetSize(180, 18)
		VFP:SetFrameLevel(VendorizerFrameProfit:GetFrameLevel()-1)
		VFP:SetPoint("CENTER", VendorizerFrameProfit, "CENTER")
	F.CreateBD(VFP)
	
end